Opened 10 years ago

Closed 9 years ago

#4637 closed defect (fixed)

TUCKER: SVN does not support compressed sound by SVN Tools

Reported by: SF/invwar Owned by: cyxx
Priority: normal Component: Engine: Tucker
Keywords: Cc:
Game: Bud Tucker

Description

The SVN 1.0.0pre044549 doesn't support the actual version of the SVN Tool compress_tucker.exe. If you start with a newly compressed file, you get following warning:

WARNING: Unhandled version 1 (flags 0x1) for compressed sound file 'TUCKER.SOG'! (also with so3)

Because of this, you don't have sound during the game.
There seems to be no problem with the SVN and a compressed file by the official 1.0.0rc1 Tools.

Ticket imported from: #2872164. Ticket imported from: bugs/4637.

Change History (13)

comment:1 Changed 10 years ago by SF/invwar

To process your bug report appropriately, we need you to
provide the following additional information:

* ScummVM version (PLEASE test the latest CVS/Daily build)
* Bug details, including instructions on reproducing it
* Language of game (English, German, ...)
* Version of game (talkie, floppy, ...)
* Platform and Compiler (Win32, Linux, MacOS, ...)
* Attach a save game if possible
* If this bug only occurred recently, please note the last
version without the bug, and the first version including
the bug. That way we can fix it quicker by looking at the
changes made.

This should only take you a little time but will make it much easier for
us to process your bug report in a way that satisfies both you and us.

Thank you for your support!

comment:2 Changed 10 years ago by SF/invwar

Ohh, i forgot. I tested this bug with the German and English Talkie version of Bud Tucker. Both the same.

comment:3 Changed 10 years ago by fingolfin

Owner: set to cyxx

comment:4 Changed 10 years ago by cyxx

yes, tucker engine from branch-1-0-0 doesn't support the compressed file built by the tools from trunk.
Fingolfin, any reason why there's no branch-1-0-0 for the tools ?

comment:5 Changed 10 years ago by cyxx

Owner: changed from cyxx to fingolfin

comment:6 Changed 10 years ago by fingolfin

No idea, gotta ask Eugene!

comment:7 Changed 10 years ago by fingolfin

Owner: changed from fingolfin to sev-

comment:8 Changed 9 years ago by sev-

As I remember, at the time of release I reverted your latest changes to tucker engine.

Use tags/release-1-0-0 version.

In fact, what we are concentrated on is gui branch of the tools, does it work there? If not, then _that_ should be the place where this bug has to be fixed, since pretty soon the branch will replace trunk fully.

comment:9 Changed 9 years ago by sev-

Owner: changed from sev- to cyxx

comment:10 Changed 9 years ago by fingolfin

Is this still a problem with 1.1.1 ?

comment:11 Changed 9 years ago by fingolfin

Status: newpending

comment:12 Changed 9 years ago by cyxx

Resolution: fixed
Status: pendingclosed

comment:13 Changed 9 years ago by cyxx

Yes, this have been fixed for 1.0 release (commit #45706). Closing.

Note: See TracTickets for help on using tickets.